﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- ######################################## -->
<!-- ############  GLOBAL STYLES  ########### -->
<!-- ######################################## -->

<xsl:attribute-set name="body.style">
   <xsl:attribute name="style">
background-color: #FFFFFF;
background-position: center top;
background-repeat: repeat-x;
color: black;
font-family: "Charis SIL", CharisSILW;
font-size: 1em;
text-align: center;
position: relative;
margin: auto;
width: 72em;
height: 72em;
   </xsl:attribute>
</xsl:attribute-set>
  
<xsl:attribute-set name="caption.style">
   <xsl:attribute name="style">
font-size: 0.750em;
font-variant: small-caps;
caption-side: top;
text-align: center;
width: 100%;
color: rgb(59, 50, 50);
   </xsl:attribute>
</xsl:attribute-set>

<xsl:attribute-set name="subcaption.style">
   <xsl:attribute name="style">
caption-side: top;
text-align: center;
width: 33%;
   </xsl:attribute>
</xsl:attribute-set>

<xsl:attribute-set name="info.style">
   <xsl:attribute name="colspan">
24
   </xsl:attribute>
   <xsl:attribute name="style">
font-family: sans-serif;
font-size: 0.625em;
padding: 0.625em;
text-align: center;
color: rgb(59, 50, 50);
   </xsl:attribute>
</xsl:attribute-set>

<xsl:attribute-set name="td.text.style">
  <xsl:attribute name="style">
font-size: 0.750em;
text-align: left;
border-left: 0em none;
border-right: 0em none;
  </xsl:attribute>
</xsl:attribute-set>
  
<!-- ######################################## -->
<!-- ############### BORDERS ################ --> 
<!-- ######################################## -->
  
<xsl:attribute-set name="no.borders">
  <xsl:attribute name="style">
border-left: 0em none;
border-right: 0em none;
  </xsl:attribute>
</xsl:attribute-set>

<xsl:attribute-set name="no.border.left">
  <xsl:attribute name="style">
border-left: 0em none;
  </xsl:attribute>
</xsl:attribute-set>

<xsl:attribute-set name="no.border.right">
  <xsl:attribute name="style">
border-right: 0em none;
  </xsl:attribute>
</xsl:attribute-set>
  
<!--<xsl:attribute-set name="no.border.right">
    <xsl:attribute name="border-right">0em none;</xsl:attribute>
  </xsl:attribute-set>-->

<xsl:attribute-set name="single.symbol" use-attribute-sets="no.borders" />

<!-- ######################################## -->
<!-- ############# INPUT FIELD ############## --> 
<!-- ######################################## -->

<xsl:attribute-set name="formular.form">
  <xsl:attribute name="style">
width: 99%;
margin: 0.313em;
float: left;
resize: none;
  </xsl:attribute>
</xsl:attribute-set>

<xsl:attribute-set name="ipa.input.style">
  <xsl:attribute name="onblur">
this.style.backgroundColor='#FFF';
  </xsl:attribute>
  <xsl:attribute name="onfocus">
this.style.backgroundColor='#222222';
  </xsl:attribute>
  <xsl:attribute name="style">
width: 100%;
font-family: "Charis SIL", CharisSILW;
font-size: 1.8em;
height: 2.6em;
line-height: 2.4;
text-align: center;
background-color: rgb(255, 255, 255);
border: 0.050em solid #BBBBBB;
color: #888888;
border-radius: 0.188em;
  </xsl:attribute>
</xsl:attribute-set> 

<!-- ######################################## -->
<!-- ############# CONSONANTS ############### -->
<!-- ######################################## -->
  
<xsl:attribute-set name="div.consonants">
  <xsl:attribute name="style">
width: 75%;
float: left;
  </xsl:attribute>
</xsl:attribute-set>
  
<xsl:attribute-set name="table.consonants">
  <xsl:attribute name="style">
width: 100%;
position: relative;
float: left;
margin: 0.313em;
line-height: 1.7;
  </xsl:attribute>
</xsl:attribute-set>
  
<xsl:attribute-set name="space.adjustment">
  <xsl:attribute name="style">
height: 2em;
  </xsl:attribute>
</xsl:attribute-set>

<xsl:attribute-set name="th.manner_and_place">
  <xsl:attribute name="colspan">
2
  </xsl:attribute>
  <xsl:attribute name="style">
width: 10%;
  </xsl:attribute>
</xsl:attribute-set>
  
<xsl:attribute-set name="th.place">
  <xsl:attribute name="colspan">
2
  </xsl:attribute>
  <xsl:attribute name="style">
width: 8%;
  </xsl:attribute>
</xsl:attribute-set>
  
<xsl:attribute-set name="th.place.large">
  <xsl:attribute name="colspan">
2
  </xsl:attribute>
  <xsl:attribute name="style">
width: 8.65%;
  </xsl:attribute>
</xsl:attribute-set>
   
<xsl:attribute-set name="th.manner">
  <xsl:attribute name="colspan">
2
  </xsl:attribute>
</xsl:attribute-set>
  
<xsl:attribute-set name="tr.consonants">
  <xsl:attribute name="colspan">
2
  </xsl:attribute>
</xsl:attribute-set>
  
<!-- ######################################## -->
<!-- ############ OTHER SYMBOLS ############# -->
<!-- ######################################## -->
  
<xsl:attribute-set name="div.other_symbols">
  <xsl:attribute name="style">
width: 23%;
float: right;
  </xsl:attribute>
</xsl:attribute-set> 
  
<xsl:attribute-set name="table.other_symbols">
  <xsl:attribute name="style">
width: 100%;
float: right;
border: 0em none;
margin: 0.3em;
  </xsl:attribute>
</xsl:attribute-set>

<!-- ######################################## -->
<!-- ################ VOWELS ################ -->
<!-- ######################################## -->

<xsl:attribute-set name="vowels.text">
  <xsl:attribute name="style">
font-size: 0.750em;
  </xsl:attribute>
</xsl:attribute-set>

<!-- ######################################## -->
<!-- ############## DIACRITICS ############## -->
<!-- ######################################## -->

<xsl:attribute-set name="div.diacritics">
  <xsl:attribute name="style">
width: 36%;
float: right;
  </xsl:attribute>
</xsl:attribute-set>
  
  
<xsl:attribute-set name="table.diacritics1">
  <xsl:attribute name="style">
width: 45%;
float: left;
margin: 0.313em;
border: 0em none;
  </xsl:attribute>
</xsl:attribute-set>
  
  
<xsl:attribute-set name="table.diacritics2">
  <xsl:attribute name="style">
width: 50%;
float: left;
margin: 0.313em;
border-right: 0em none;
  </xsl:attribute>
</xsl:attribute-set> 

<!-- ######################################## -->
<!-- ########### SUPRASEGMENTALS ############ -->
<!-- ######################################## -->

<xsl:attribute-set name="div.suprasegmentals">
  <xsl:attribute name="style">
width: 23%;
float: right;
  </xsl:attribute>
</xsl:attribute-set> 


<xsl:attribute-set name="table.suprasegmentals">
  <xsl:attribute name="style">
min-width: 15%;
max-width: 85%;
margin: 0.313em;
float: right;
  </xsl:attribute>
</xsl:attribute-set> 

<!-- ######################################## -->
<!-- ############## ACCENTS ################# -->
<!-- ######################################## -->
 
<xsl:attribute-set name="div.accents">
  <xsl:attribute name="style">
width: 25%;
float: left;
margin: .35em .3em 0 0;
  </xsl:attribute>
</xsl:attribute-set>
  

<xsl:attribute-set name="table.accents">
  <xsl:attribute name="style">
width: 50%;
float: left;
border: 0em none;
  </xsl:attribute>
</xsl:attribute-set> 

<!-- ######################################## -->
<!-- ########### CONSONANTS (NP) ############ -->
<!-- ######################################## -->
  
<xsl:attribute-set name="div.consonants_np">
  <xsl:attribute name="style">
width: 38%;
min-width: 30%;
float: left;
margin: 1.7em 0 0 .3em;
  </xsl:attribute>
</xsl:attribute-set>   


<xsl:attribute-set name="table.consonants_np">
  <xsl:attribute name="style">
width: 33%;
float: left;
  </xsl:attribute>
</xsl:attribute-set> 


</xsl:stylesheet>