var audioCtx = new (window.AudioContext || window.webkitAudioContext)();

function switchToAudio() {
    $( '.pos' ).unbind("click"); //remove all old onclick handlers
    //create new onclick handlers
    
    $('.pos').on( "click", function() {
        var filename = $(this).data('sound'); //get the file name of the mp3 from the data-sound attribute of the element
        if (filename == undefined) {
            alert('Sorry, no soundfile attached to sound...');
			return;
        }
        
        //create a new HTTP request to the file name
          request = new XMLHttpRequest();
          request.open('GET', filename, true);
          request.responseType = 'arraybuffer';
        
        //define an onload action which is called, when the file is downloaded completely
          request.onload = function() {
		  if (request.response == null || request.response.length == 0) {
			alert("Sorry, this sound has not yet been recorded!");
		  } else {
            var source;
            source = audioCtx.createBufferSource();
            var audioData = request.response;
            
            audioCtx.decodeAudioData(audioData, 
                  function(buffer) {
                    source.buffer = buffer;
                    source.connect(audioCtx.destination);
                  },
                  function(e) {
                     alert("Sorry, this sound has not yet been recorded...")});
/*                     alert("Error decoding audio data: unsupported format?!")});*/
                //source.onended = function() {audioCtx.close();};
                source.start(); //start the playback
				}
          }
          request.send(); //start the HTTP request
      
    });
}

function switchToTranscription() {
    $( '.pos' ).unbind("click");
    $('.pos').on( "click", function() {
		var insertion_type = $("#transcription_method").val();
		insertAtCursor($(this).attr(insertion_type));
    });
}

function toggleTooltip() {
	if ($('#button_tooltip').is(':checked')) {
		$('.pos').not( "[type='ex1'], [type='ex2']").on("mouseover", function() {
		tooltip.show(
			$(this).attr("symbol_name") + 
			"<br>" +
			"<hsymb>" +
			$(this).attr("unicode") +
			"</hsymb>" +
			"<br>" +
			$(this).attr("phonetic_description") +
			"<br>" +
			"<br> Cardinal " +
			$(this).attr("ipa_number") +
			"<br><coded> Unicode: " +
			$(this).attr("unicode_entity") +
			"</coded> <br><coded> LaTeX: " +
			$(this).attr("tex") +
			"</coded> <br><coded> LaTeX 2: " +
			$(this).attr("tex2") +
			"</coded> <br><coded> Praat: " +
			$(this).attr("praat") +
			"</coded>"
		);
		});
		$('.pos').on( "mouseout", function() {
			tooltip.hide();
		});
	} else {
		$( '.pos' ).unbind("mouseover");
		$( '.pos' ).unbind("mouseout");
	}
}